GET v1/LoyaltyAdjustmentHistoryReport/report?DateRange={DateRange}&Page={Page}&PageSize={PageSize}

Returns All Loyalty Adjustment Report for a Company based on Timeframe

Information:

Base URL:

https://reporting.iqmetrix.net

Example of a call would be:

https://api.covasoft.net/iqloyalty/v1/LoyaltyAdjustmentHistoryReport/report?DateRange=Everything&Page=2&PageSize=200

Date Range Paramters indude:

Today, Yesterday, LastWeek, LastMonth, LastQuarter, WeekToDate, MonthToDate, QuarterToDate, YearToDate, FullYear, Everything

Request Information

URI Parameters

NameDescriptionTypeAdditional information
DateRange

The Timeframe you want for the Loyalty Adjustments Reprot

string

Required

Page

Which page of data to return

integer

Required

PageSize

number of records per page

integer

Required

Body Parameters

None.

Response Information

Resource Description

Loyalty Adjustment Report for a Company based on Timeframe

LoyaltyAdjustmentReportByCompanyReturn
NameDescriptionTypeAdditional information
definition

Object

None.

rows

Collection of row

None.

totalRecords

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "definition": {},
  "rows": [
    {
      "dateUtc": "2026-09-05T09:45:03.4282779+00:00",
      "adjustmentType": "sample string 2",
      "amount": "sample string 3",
      "employee": "sample string 4",
      "customer": "sample string 5",
      "reason": "sample string 6"
    },
    {
      "dateUtc": "2026-09-05T09:45:03.4282779+00:00",
      "adjustmentType": "sample string 2",
      "amount": "sample string 3",
      "employee": "sample string 4",
      "customer": "sample string 5",
      "reason": "sample string 6"
    }
  ],
  "totalRecords": 2
}